
mod point;
pub use point::*;

mod macros;

// impl TryFrom<String> for Point<Integer>
point_from_string!(i8);
point_from_string!(i16);
point_from_string!(i32);
point_from_string!(i64);
point_from_string!(i128);
point_from_string!(u8);
point_from_string!(u16);
point_from_string!(u32);
point_from_string!(u64);
point_from_string!(u128);

// impl Point::<Integer>::distance_value() -> Integer
point_distance_value!(i8);
point_distance_value!(i16);
point_distance_value!(i32);
point_distance_value!(i64);
point_distance_value!(i128);
point_distance_value!(u8);
point_distance_value!(u16);
point_distance_value!(u32);
point_distance_value!(u64);
point_distance_value!(u128);

#[cfg(test)]
mod test;
